package service

import (
	"spaceofcheng/services/models/system"
	"spaceofcheng/services/utils"
)

// DictServ 系统处理
type DictServ struct {
	ctx *utils.Context
	dao *system.DictDAO
}

// NewDictServ 初始化
func NewDictServ(ctx *utils.Context) *DictServ {
	return &DictServ{
		ctx: ctx,
		dao: system.NewDictDAO(ctx),
	}
}
